Package org.apache.sling.api.wrappers

# Class JavaxToJakartaServletWrapper.JavaxToJakartaOptingServletWrapper

java.lang.Object
org.apache.sling.api.wrappers.JavaxToJakartaServletWrapper
org.apache.sling.api.wrappers.JavaxToJakartaServletWrapper.JavaxToJakartaOptingServletWrapper

All Implemented Interfaces:
  `jakarta.servlet.Servlet`, `JakartaOptingServlet`

Enclosing class:
  JavaxToJakartaServletWrapper

public static class JavaxToJakartaServletWrapper.JavaxToJakartaOptingServletWrapper extends JavaxToJakartaServletWrapper implements JakartaOptingServlet

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.sling.api.wrappers.JavaxToJakartaServletWrapper

`JavaxToJakartaServletWrapper.JavaxToJakartaOptingServletWrapper`

## Constructor Summary

Constructors
Constructor
Description
`JavaxToJakartaOptingServletWrapper(OptingServlet servlet)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`accepts(@NotNull SlingJakartaHttpServletRequest request)`
Examines the request, and return `true` if this servlet is willing to handle the request.

### Methods inherited from class org.apache.sling.api.wrappers.JavaxToJakartaServletWrapper

`destroy, getServletConfig, getServletInfo, init, service, toJakartaServlet`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface jakarta.servlet.Servlet

`destroy, getServletConfig, getServletInfo, init, service`

## Constructor Details

### JavaxToJakartaOptingServletWrapper

public JavaxToJakartaOptingServletWrapper(OptingServlet servlet)

## Method Details

### accepts

public boolean accepts(@NotNull @NotNull SlingJakartaHttpServletRequest request)
Description copied from interface: `JakartaOptingServlet`
Examines the request, and return `true` if this servlet is willing to handle the request. If `false` is returned, the request will be ignored by this servlet, and may be handled by other servlets.

Specified by:
  `accepts` in interface `JakartaOptingServlet`
Parameters:
  `request` - The request to examine
Returns:
  `true` if this servlet will handle the request, `false` otherwise